# Invoke-RASClearAgentLogs.md

## NAME

Invoke-RASClearAgentLogs

## SYNOPSIS

Removes the Log file of one or more RAS Agents.

## SYNTAX

\*\*Invoke-RASClearAgentLogs \[-[InputObject](#inputobject)] *(*[*RASAgentInfo\[\]*](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/rasagentinfo.md)*)* \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Invoke-RASClearAgentLogs \[\[-[Server](#server-string)] *(string)*] \[\[-[SiteId](#siteid-string)] *(uint)*] \[-[ServerType](#ServerType) {RDS | Provider | VDIHost | Gateway | Broker | PA | HALBDevice | EnrollmentServer | All}] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Removes the Log file of one or more RAS Agents.

## PARAMETERS

## ServerType ([RASLogSrvType](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/raslogsrvtype.md))

Specifies the server type for which to retrieve the information.

Possible values: RDS, Provider, VDIHost, Gateway, Broker, PA, HALBDevice, EnrollmentServer, All

```
        Required?                    false

        Position?                    named

        Default value                All

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Server (string)

The name of the RAS agent server.

The name can be either FQDN or IP address, but you have to enter the actual name this server has in the RAS farm.

```
        Required?                    false

        Position?                    0

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SiteId (uint)

Site ID in which to modify the specified server.

If the parameter is omitted, the site ID of the Licensing Server will be used.

```
        Required?                    false

        Position?                    1

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## InputObject ([RASAgentInfo\[\]](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/rasagentinfo.md))

The RAS agent info.

To obtain an RASAgentInfo object representing an RAS agent info list, use the Get-RASAgent command."

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       true (ByValue)

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

[RASAgentInfo\[\]](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/rasagentinfo.md)

## OUTPUTS

-none-

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Invoke-RASClearAgentLogs -ServerType RDS

Clears the log files for every RAS RDS Agent.\
\*\*---------- EXAMPLE 2 ----------

Invoke-RASClearAgentLogs -Server MyRASserver

Clears the log files for the specified RAS server.\
\*\*---------- EXAMPLE 3 ----------

Invoke-RASClearAgentLogs -InputObject $RDSStatus

Clears the log files for the specified RAS server.

## RELATED LINKS

* [Invoke-RASRetrieveAgentLogs](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/invoke-rasretrieveagentlogs.md)
* [Set-RASAgentLogLevel](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rasagentloglevel.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/invoke-rasclearagentlogs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
